vty-5.15.1: A simple terminal UI library

Safe Haskell | Safe
Language | Haskell2010

Graphics.Vty.Input.Paste

Description

This module provides bracketed paste support as described at

http://cirw.in/blog/bracketed-paste

Synopsis

- parseBracketedPaste :: String -> KClass
- bracketedPasteStarted :: String -> Bool
- bracketedPasteFinished :: String -> Bool

# Documentation

parseBracketedPaste :: String -> KClass #

Parse a bracketed paste. This should only be called on a string if both `bracketedPasteStarted` and `bracketedPasteFinished` return `True`.

bracketedPasteStarted :: String -> Bool #

Does the input start a bracketed paste?

bracketedPasteFinished :: String -> Bool #

Does the input contain a complete bracketed paste?